<template>
    <div class="cont">
        <div class="c-left" >
            <ReSidebar
                :sideBarList="sideList"
                @click="handleSideClick"
                :active-index="tabIndex - 1"
            />
        </div>
        <div class="c-right">
            <img v-if="tabIndex == 1" src="../../assets/images/carImg/bg1.webp" alt="" />
            <img v-if="tabIndex == 2" style="margin-top: 30px;" src="../../assets/images/carImg/bg2.webp" alt="" />
        </div>
    </div>
</template>
<script>
import ReSidebar from "@/components/leftBar.vue";
export default {
    name: 'BydPage1',
    data() {
        return {
            sideList:[
                {
                    id:1,
                    name:"全景",
                    icon:'ic_car_qj',
                    a_icon:'ic_car_qja'
                },
                {
                    id:2,
                    name:"设置",
                    icon:'ic_car_set',
                    a_icon:'ic_car_seta'
                }
            ],
            tabIndex: 1,
        };
    },
    components:{
        ReSidebar,
    },
    mounted() {
        
    },

    methods: {
        handleSideClick(item) {
        this.tabIndex = item.id;
        },
    },
};
</script>

<style lang="scss" scoped>
.active{
    background-color: white;
}
.cont{
    position: relative;
    background-color: #eff3f7;
    width: 100%;
    height: 100%;
    display: flex;
    .c-left{
        width: 12%;
        height: 100%;
    }
    .c-right{
        width: 88%;
        height: 100%;
        img {
            // margin-top: 120px;
            // z-index: 999;
            width: 100%;
            // height: 100%;
        }
    }
}

:deep(.sidebar-container-main){
  justify-content: center;
}
</style>